default_platform(:ios)

platform :ios do
  desc "Build and deploy iOS app"
  lane :beta do
    build_ios_app(
      scheme: "App",
      workspace: "App.xcworkspace",
      export_method: "app-store"
    )
    upload_to_testflight
  end

  lane :release do
    build_ios_app(
      scheme: "App",
      workspace: "App.xcworkspace",
      export_method: "app-store"
    )
    upload_to_app_store
  end
end
